package com.sooka.system.gas.xinKer_user_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.xinKer_user_infor.domain.TGuijiXinKerUserInfor;
import com.sooka.system.gas.xinKer_user_infor.mapper.TGuijiXinKerUserInforMapper;
import com.sooka.system.gas.xinKer_user_infor.service.ITGuijiXinKerUserInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 鑫科客户系统-客户信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiXinKerUserInforServiceImpl extends Guiji_Base_Service implements ITGuijiXinKerUserInforService
{
    @Resource
    private TGuijiXinKerUserInforMapper mapper;

    /**
     * 查询鑫科客户系统-客户信息
     *
     * @param id 鑫科客户系统-客户信息ID
     * @return 鑫科客户系统-客户信息
     */
    @Override
    public TGuijiXinKerUserInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询鑫科客户系统-客户信息列表
     *
     * @param param 鑫科客户系统-客户信息
     * @return 鑫科客户系统-客户信息
     */
    @Override
    public List<TGuijiXinKerUserInfor> selectList(TGuijiXinKerUserInfor param)
    {
        List<TGuijiXinKerUserInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("cf66a56e-fdf8-40b6-82d0-ed556c3134a2");
        param.setInterfaceinfoName("共享（市）-鑫科客户系统-客户信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增鑫科客户系统-客户信息
     *
     * @param param 鑫科客户系统-客户信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiXinKerUserInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改鑫科客户系统-客户信息
     *
     * @param param 鑫科客户系统-客户信息
     * @return 结果
     */
    @Override
    public int update(TGuijiXinKerUserInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除鑫科客户系统-客户信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除鑫科客户系统-客户信息信息
     *
     * @param id 鑫科客户系统-客户信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
